import es
import popuplib
import gamethread
import playerlib

dict_rules = {}

def load():
	es.ServerVar('undead_rules_ver', '1.3').makepublic()

	Rules = popuplib.create('rules')
	Rules.addline('.::Server Rules::.')
	Rules.addline(' ')
	Rules.addline('Rule 1 Here')
	Rules.addline('Rule 2 Here')
	Rules.addline('Rule 3 Here')
	Rules.addline('Rule 4 Here')
	Rules.addline('Rule 5 Here')
	Rules.addline('Rule 6 Here')
	Rules.addline('Rule 7 Here')
	Rules.addline(' ')
	Rules.addline('->1. Accept')
	Rules.addline('->2. Decline')
	Rules.menuselect = rules_menuselect

	es.msg('#green', 'Rules by Undead has been loaded!')

def unload():
	popuplib.delete('rules')
	es.msg('#green', 'Rules by Undead has been unloaded!')

def rules_menuselect (userid, choice, popupid):
	global dict_rules
	ur_user = playerlib.uniqueid(userid, True)
	if choice != 1:
		dict_rules[ur_user]["accept"] = 0
		es.changeteam(userid,'1')
		es.tell(userid, "You Failed to agree with rules and have been sent to spectate")
	else:
		dict_rules[ur_user]["accept"] = 1

def player_team(ev):
	global dict_rules
	userid = ev['userid']
	ur_user = playerlib.uniqueid(userid, True)
	if dict_rules[ur_user]["accept"] == 0 and ev['es_steamid'] != 'BOT':
		popuplib.send('rules')

def player_say(ev):
	if ev['text'] == '!rules':
		popuplib.send('rules')
		Rules.menuselect = none
		for line in ['11','12']:
			Rules.delline(line)

def player_activate(ev):
	global dict_rules
	userid = ev['userid']
	ur_user = playerlib.uniqueid(userid, True)
	if not ur_user in dict_rules:
		dict_rules[ur_user] = {}
		dict_rules[ur_user]["accept"] = 0
	if dict_rules[ur_user]["accept"] == 0 and ev['es_steamid'] != 'BOT':
		gamethread.delayed(2.5, popuplib.send('rules'))
		
def player_disconnect(ev):
	global dict_rules
	userid = ev['userid']
	ur_user = playerlib.uniqueid(userid, True)
	dict_rules[ur_user]["accept"] = 0